Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class UnionMemberHelper

    java.lang.Object
      org.omg.CORBA.UnionMemberHelper

public abstract class UnionMemberHelper
extends Object

The Helper for `UnionMember`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/UnionMemberHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ir.idl 03 June 1999 11:33:43 o'clock GMT+00:00

Constructor Summary
`UnionMemberHelper()`

Method Summary
`static UnionMember` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, UnionMember that)`
`static UnionMember` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, UnionMember value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionMemberHelper

    public UnionMemberHelper()

Method Detail

### insert

    public static void insert(Any a,
                              UnionMember that)

### extract

    public static UnionMember extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static UnionMember read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             UnionMember value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2003 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.